package com.casic.dcms.model;

import java.util.List;

/**
 * @author : Pengxh
 * @time : 2021/4/16 10:07
 * @email : 290677893@qq.com
 **/
public class CaseResourceBean {

    private int code;
    private List<DataModel> data;
    private String message;
    private boolean success;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public List<DataModel> getData() {
        return data;
    }

    public void setData(List<DataModel> data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public static class DataModel {
        private String caseCode;
        private String caseNum;
        private String caseSource;
        private String componentNum;
        private String eorc;
        private String eventNum;

        public String getCaseCode() {
            return caseCode;
        }

        public void setCaseCode(String caseCode) {
            this.caseCode = caseCode;
        }

        public String getCaseNum() {
            return caseNum;
        }

        public void setCaseNum(String caseNum) {
            this.caseNum = caseNum;
        }

        public String getCaseSource() {
            return caseSource;
        }

        public void setCaseSource(String caseSource) {
            this.caseSource = caseSource;
        }

        public String getComponentNum() {
            return componentNum;
        }

        public void setComponentNum(String componentNum) {
            this.componentNum = componentNum;
        }

        public String getEorc() {
            return eorc;
        }

        public void setEorc(String eorc) {
            this.eorc = eorc;
        }

        public String getEventNum() {
            return eventNum;
        }

        public void setEventNum(String eventNum) {
            this.eventNum = eventNum;
        }
    }
}
